导航
  • 主页
  • 音视频
  • Camera
  • UI
  • 协议
  • SDK
  • NDK
  • Flutter
  • ADB
  • Android Studio
  • 模拟器
  • 问答

AQuery的ajax不支持高版本安卓问题

r00_a2lBUR 2020-07-14 03:55:11
AQuery的ajax功能(同步和异步)
AQuery aq = new AQuery(context);
aq.ajax(url, params, JSONObject.class, new AjaxCallback<JSONObject>()
{
@Override
public void callback(String url, JSONObject object, AjaxStatus status)
{
Log.e("阿贾克斯", "回调");
}
});

用安卓7.1模拟器,可以访问到java web,但用安卓9.0就访问不到java web?用的是 android-query-full.0.26.8.jar 包。
...全文
17196 点赞 收藏 3
写回复
3 条回复
切换为时间正序
请发表友善的回复…
发表回复
fei得更高 2020-07-20
引用 2 楼 r00_a2lBUR 的回复:
[quote=引用 1 楼 fei得更高 的回复:]把targetSdkVer调低于android 9.0的

这样子是可以,但还是想要有更好的方法[/quote]
安卓9.0以上,是不能直接访问http,只能访问https,问题可能就是出在这里
回复
r00_a2lBUR 2020-07-18
引用 1 楼 fei得更高 的回复:
把targetSdkVer调低于android 9.0的

这样子是可以,但还是想要有更好的方法
回复
fei得更高 2020-07-16
把targetSdkVer调低于android 9.0的
回复
发动态
发帖子
Android
创建于2009-10-09

7.8w+

社区成员

移动平台 Android
申请成为版主
社区公告
暂无公告